
Infrastructure - Task #4470

Story # 4466 (Closed): Base VM operating systems and sofware need to be upgraded

Test CN installation on Ubuntu 12.04 with Java 7, tomcat 7, PostgreSQL 9

2014-03-17 16:01 - Chris Jones

Status: Closed Start date: 2014-03-17

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.7   

Description

We need to understand issues with the CN software stack installation on an Ubuntu 12.04 LTS base OS with Java 7, Tomcat 7, and

PostgreSQL 9.  Test the installation via apt-get and add tasks as appropriate for upgrading dependency versions, etc.

Related issues:

Related to Infrastructure - Task #4467: Deploy and Test Metacat on Ubuntu 12.... Closed 2014-03-17

Associated revisions

Revision c8aa7cef - 2014-05-20 17:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13829 - 2014-05-20 17:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13829 - 2014-05-20 17:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13829 - 2014-05-20 17:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13829 - 2014-05-20 17:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision d55b8763 - 2014-05-20 18:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13830 - 2014-05-20 18:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13830 - 2014-05-20 18:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13830 - 2014-05-20 18:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13830 - 2014-05-20 18:49 - Robert Waltz

refs #4470 merge from Jing's Branch
Revision 6326cc12 - 2014-05-20 19:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13831 - 2014-05-20 19:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13831 - 2014-05-20 19:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13831 - 2014-05-20 19:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13831 - 2014-05-20 19:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 543ee64b - 2014-05-20 19:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13832 - 2014-05-20 19:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13832 - 2014-05-20 19:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13832 - 2014-05-20 19:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13832 - 2014-05-20 19:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision d4ab5673 - 2014-05-20 19:56 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13833 - 2014-05-20 19:56 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13833 - 2014-05-20 19:56 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13833 - 2014-05-20 19:56 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13833 - 2014-05-20 19:56 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision ddad0d0b - 2014-05-20 20:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13834 - 2014-05-20 20:46 - Robert Waltz

refs #4470 merge from Jing's Branch
Revision 13834 - 2014-05-20 20:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13834 - 2014-05-20 20:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13834 - 2014-05-20 20:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision af7c2b40 - 2014-05-20 20:55 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13835 - 2014-05-20 20:55 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13835 - 2014-05-20 20:55 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13835 - 2014-05-20 20:55 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13835 - 2014-05-20 20:55 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision ba450017 - 2014-05-20 23:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13838 - 2014-05-20 23:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13838 - 2014-05-20 23:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13838 - 2014-05-20 23:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13838 - 2014-05-20 23:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 76bac165 - 2014-05-21 00:34 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13840 - 2014-05-21 00:34 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13840 - 2014-05-21 00:34 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13840 - 2014-05-21 00:34 - Robert Waltz

refs #4470 merge from Jing's Branch
Revision 13840 - 2014-05-21 00:34 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 965a28a9 - 2014-05-21 00:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13841 - 2014-05-21 00:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13841 - 2014-05-21 00:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13841 - 2014-05-21 00:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13841 - 2014-05-21 00:38 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 3c656a47 - 2014-05-21 00:41 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13842 - 2014-05-21 00:41 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13842 - 2014-05-21 00:41 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13842 - 2014-05-21 00:41 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13842 - 2014-05-21 00:41 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 4899d0e4 - 2014-05-21 00:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13843 - 2014-05-21 00:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13843 - 2014-05-21 00:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13843 - 2014-05-21 00:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13843 - 2014-05-21 00:42 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision f74e9775 - 2014-05-21 00:45 - Robert Waltz

refs #4470 merge from Jing's Branch
Revision 13844 - 2014-05-21 00:45 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13844 - 2014-05-21 00:45 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13844 - 2014-05-21 00:45 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13844 - 2014-05-21 00:45 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 5e9a4419 - 2014-05-21 00:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13845 - 2014-05-21 00:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13845 - 2014-05-21 00:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13845 - 2014-05-21 00:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13845 - 2014-05-21 00:46 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 694c848f - 2014-05-21 00:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13846 - 2014-05-21 00:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13846 - 2014-05-21 00:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13846 - 2014-05-21 00:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13846 - 2014-05-21 00:48 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision a4a46817 - 2014-05-21 00:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13847 - 2014-05-21 00:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13847 - 2014-05-21 00:49 - Robert Waltz

refs #4470 merge from Jing's Branch
Revision 13847 - 2014-05-21 00:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 13847 - 2014-05-21 00:49 - Robert Waltz

refs #4470 merge from Jing's Branch

Revision 1bc3f84b - 2014-05-21 04:37 - Robert Waltz

refs #4470 ldif population failed

Revision 13848 - 2014-05-21 04:37 - Robert Waltz

refs #4470 ldif population failed

Revision 13848 - 2014-05-21 04:37 - Robert Waltz

refs #4470 ldif population failed

Revision 6c386a07 - 2014-05-22 04:47 - Robert Waltz

refs #4470 creating code that will build ubuntu-extra repo

Revision 13853 - 2014-05-22 04:47 - Robert Waltz

refs #4470 creating code that will build ubuntu-extra repo

Revision 13853 - 2014-05-22 04:47 - Robert Waltz

refs #4470 creating code that will build ubuntu-extra repo

Revision 6a859609 - 2014-05-22 04:59 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13855 - 2014-05-22 04:59 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13855 - 2014-05-22 04:59 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 4835a069 - 2014-05-23 21:11 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13870 - 2014-05-23 21:11 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13870 - 2014-05-23 21:11 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision fbab230c - 2014-05-23 21:42 - Robert Waltz

refs #4470 modifying debian packages for ubuntu-extra repo

Revision 13871 - 2014-05-23 21:42 - Robert Waltz

refs #4470 modifying debian packages for ubuntu-extra repo

Revision 13871 - 2014-05-23 21:42 - Robert Waltz

refs #4470 modifying debian packages for ubuntu-extra repo
Revision 13871 - 2014-05-23 21:42 - Robert Waltz

refs #4470 modifying debian packages for ubuntu-extra repo

Revision 13871 - 2014-05-23 21:42 - Robert Waltz

refs #4470 modifying debian packages for ubuntu-extra repo

Revision cfe9b49d - 2014-05-23 21:45 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13873 - 2014-05-23 21:45 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13873 - 2014-05-23 21:45 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision af23d824 - 2014-05-23 22:00 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13875 - 2014-05-23 22:00 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 13875 - 2014-05-23 22:00 - Robert Waltz

refs #4470 modifying code for tomcat7 dependency that will build ubuntu-extra repo

Revision 38d0c969 - 2014-05-29 21:49 - Robert Waltz

refs #4470 ldif population failed

Revision 13895 - 2014-05-29 21:49 - Robert Waltz

refs #4470 ldif population failed

Revision 13895 - 2014-05-29 21:49 - Robert Waltz

refs #4470 ldif population failed

Revision 9fdadc2a - 2014-05-29 21:52 - Robert Waltz

refs #4470 improper syntax

Revision 13896 - 2014-05-29 21:52 - Robert Waltz

refs #4470 improper syntax

Revision 13896 - 2014-05-29 21:52 - Robert Waltz

refs #4470 improper syntax

Revision 13896 - 2014-05-29 21:52 - Robert Waltz

refs #4470 improper syntax

Revision 13896 - 2014-05-29 21:52 - Robert Waltz

refs #4470 improper syntax

Revision bd9adbb9 - 2014-05-29 22:33 - Robert Waltz

refs #4470 improper syntax
Revision 13898 - 2014-05-29 22:33 - Robert Waltz

refs #4470 improper syntax

Revision 13898 - 2014-05-29 22:33 - Robert Waltz

refs #4470 improper syntax

Revision 13898 - 2014-05-29 22:33 - Robert Waltz

refs #4470 improper syntax

Revision 13898 - 2014-05-29 22:33 - Robert Waltz

refs #4470 improper syntax

History

#1 - 2014-03-21 03:08 - Chris Jones

- Description updated

- Subject changed from Test CN installation on Ubuntu 14.04 with Java 7, tomcat 7, PostgreSQL 9 to Test CN installation on Ubuntu 12.04 with Java

7, tomcat 7, PostgreSQL 9

#2 - 2014-06-30 22:06 - Robert Waltz

- Status changed from New to In Progress

#3 - 2014-06-30 22:06 - Robert Waltz

- Status changed from In Progress to Testing

#4 - 2014-06-30 22:08 - Robert Waltz

- Target version set to 2014.26-Block.4.1

#5 - 2014-07-18 03:25 - Robert Waltz

- Status changed from Testing to Closed

- Product Version changed from * to 1.2.7

- Milestone changed from CCI-1.3 to CCI-1.2

- translation missing: en.field_remaining_hours set to 0.0
